Package org.apache.cxf.workqueue

# Interface WorkQueue

All Superinterfaces:
  `Executor`

All Known Subinterfaces:
  `AutomaticWorkQueue`

All Known Implementing Classes:
  `AutomaticWorkQueueImpl`

public interface WorkQueue extends Executor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(Runnable work, long timeout)`
  Submits a work item for execution at some time in the future, waiting for up to a specified amount of time for the item to be accepted.
  `void`
  `schedule(Runnable work, long delay)`
  Schedules a work item for execution at some time in the future.

  ### Methods inherited from interface java.util.concurrent.Executor

  `execute`

- ## Method Details

  - ### execute

    void execute(Runnable work, long timeout)
    Submits a work item for execution at some time in the future, waiting for up to a specified amount of time for the item to be accepted.
    Parameters:
      `work` - the workitem to submit for execution.
      `timeout` - the maximum amount of time (in milliseconds) to wait for it to be accepted.

  - ### schedule

    void schedule(Runnable work, long delay)
    Schedules a work item for execution at some time in the future.
    Parameters:
      `work` - the task to submit for execution.
      `delay` - the delay before the task is executed